Subject: bug#28500: 25.3; shell mode starts echoing command

From: Barry Warsaw <[email-masked]>
Date: Mon, 18 Sep 2017 22:49:14 -0400

On Sep 18, 2017, at 21:05, Mike Kupfer <[email-masked]> wrote:
> 
> I see the same issue after using openssl to encrypt or decrypt a file.
> Just never got around to filing a bug report…

Interesting.  I’ve only noticed it in 25.2 and 25.3 on macOS (installed from brew).  I can’t reproduce it in 25.2 on Ubuntu 17.10.

> alto$ openssl aes-256-cbc -in foo.txt -out foo.text.enc
> enter aes-256-cbc encryption password:
> Verifying - enter aes-256-cbc encryption password:
> alto$ ls
> ls
> deb9-upgrade.log  foo.text.enc	ieee-cs-election-receipt.pdf
> enchant.dummy*	  foo.txt	net-neutrality-comments.pdf
> alto$ echo $SHELL
> echo $SHELL
> /bin/bash
> alto$

This is reproducible for me too on macOS.

I can also reproduce it by running the Mailman 3 shell from git checkout.  That made me think it could be readline related, but I built a Mailman 3 without readline support and it made no difference.  I haven’t figured out what the common denominator is, but I edebug’d it down to comint-send-string and then process-send-string.  There the trail ended with C code and I haven’t gdb’d into that.  It seems like some state in process-send-string gets confused and starts echoing the input.

-Barry